Package Details: gcr-git 4.1.0+r23+160601e7-1

Git Clone URL: https://aur.archlinux.org/gcr-git.git (read-only, click to copy)
Package Base: gcr-git
Description: A library for bits of crypto UI and parsing
Upstream URL: https://gitlab.gnome.org/GNOME/gcr
Licenses: GPL2
Conflicts: gcr-4
Provides: libgck-2.so, libgcr-4.so
Submitter: tasali
Maintainer: GT610
Last Packager: GT610
Votes: 1
Popularity: 0.000725
First Submitted: 2022-08-03 20:23 (UTC)
Last Updated: 2023-10-15 15:27 (UTC)

Pinned Comments

GT610 commented on 2023-10-15 11:14 (UTC) (edited on 2023-10-16 00:09 (UTC) by GT610)

2023-10-16 update: Fixed conflict and provides.

Latest Comments

GT610 commented on 2023-10-15 15:33 (UTC) (edited on 2023-10-15 15:38 (UTC) by GT610)

Hi @MarsSeed, Thanks for your feedback! I apologize for the incorrect conflict and depends in the PKGBUILD. I have fixed them, and I align some parameters to make it in line with gcr-4.

It was my first time to maintain such an important package, and I'm lack of experience. Thanks to people like you who provide sincere feedback, I can learn from mistakes and make this package better.

Thanks again! And if there are other issues feel free to reply here.

MarsSeed commented on 2023-10-15 13:26 (UTC) (edited on 2023-10-15 13:29 (UTC) by MarsSeed)

Hi,

The gcr-git package should now provide and conflict with gcr-4, but not gcr (v3).

The package should also not conflict with gcr-338.

Among SO names, it should only provide libgck-2.so and libgcr-4.so.

It should not use gtk3 as (make) dependency, only gtk4.

Please kindly align the build parameters and PKGBUILD fields accordingly, and in line with gcr-4's build sources.

gcr-docs-git should provide and conflict with gcr-4-docs, but not gcr-docs.

GT610 commented on 2023-10-15 11:14 (UTC) (edited on 2023-10-16 00:09 (UTC) by GT610)

2023-10-16 update: Fixed conflict and provides.

Raansu commented on 2023-09-06 15:54 (UTC)

shouldn't this conflict with gcr-4?

arenm commented on 2022-10-18 00:06 (UTC)

Is it possible to make this not provide gcr, and not conflict with it? It doesn't provide the same shared object files which broke everything I tested that depends on gcr.